CometAPI üzerinden, mevcut bir video_id’yi yeni prompt’lar, stil ve varyasyonlarla dönüştürmek için Sora 2 Remix video API’sini (POST /v1/videos//remix) kullanın.
curl --request POST \
--url https://api.cometapi.com/v1/videos/{video_id}/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Shift the color palette to teal, sand, and rust, with a warm backlight."
}
'{
"id": "<string>",
"object": "<string>",
"model": "<string>",
"status": "<string>",
"progress": 123,
"created_at": 123,
"size": "<string>",
"seconds": "<string>",
"remixed_from_video_id": "<string>"
}Önce temel render işlemini tamamlayın
Remix isteğini gönderin
video_id’yi, odaklanmış tek bir değişikliği açıklayan bir prompt ile iletin.Remix'i sorgulayın ve indirin
Bearer token authentication. Use your CometAPI key.
Completed source video id.
Describe the change you want to make to the existing video.
"Shift the color palette to teal, sand, and rust, with a warm backlight."
curl --request POST \
--url https://api.cometapi.com/v1/videos/{video_id}/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Shift the color palette to teal, sand, and rust, with a warm backlight."
}
'{
"id": "<string>",
"object": "<string>",
"model": "<string>",
"status": "<string>",
"progress": 123,
"created_at": 123,
"size": "<string>",
"seconds": "<string>",
"remixed_from_video_id": "<string>"
}